extern crate easybench;
extern crate proclist;

use easybench::bench;
use proclist::*;

fn nop<T>(_: &T) {}

fn main() {
    println!(
        "iterate_processes_info: {}",
        bench(|| for pi in iterate_processes_info() {
            nop(&pi);
        })
    );
    println!("get_processes_info: {}", bench(|| get_processes_info()));
}
