use libc::*;

pub const PROC_ALL_PIDS: u32 = 1;
pub const PROC_PIDTBSDINFO: i32 = 3;
pub const MAXPATHLEN: usize = 1024;
pub const PROC_PIDPATHINFO_MAXSIZE: usize = 4 * MAXPATHLEN;

#[link(name = "proc", kind = "dylib")]
extern "C" {
    pub fn proc_listpids(
        proc_type: uint32_t,
        typeinfo: uint32_t,
        buffer: *mut c_void,
        buffersize: uint32_t,
    ) -> c_int;
    pub fn proc_pidinfo(
        pid: c_int,
        flavor: c_int,
        arg: uint64_t,
        buffer: *mut c_void,
        buffersize: c_int,
    ) -> c_int;
    pub fn proc_name(pid: c_int, buffer: *mut c_void, buffersize: uint32_t) -> c_int;
}
